=== debian/control ===
Source: ros-kinetic-tello-driver
Section: misc
Priority: optional
Maintainer: Jordy van Appeven <jordyvanappeven@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-camera-info-manager-py, ros-kinetic-catkin, ros-kinetic-codec-image-transport, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-image-transport, ros-kinetic-message-generation, ros-kinetic-nav-msgs, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Homepage: http://www.ros.org/wiki/tello_driver
Standards-Version: 3.9.2

Package: ros-kinetic-tello-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-camera-info-manager-py, ros-kinetic-codec-image-transport, ros-kinetic-cv-bridge, ros-kinetic-dynamic-reconfigure, ros-kinetic-geometry-msgs, ros-kinetic-image-transport, ros-kinetic-message-runtime, ros-kinetic-nav-msgs, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs
Description: &gt;This package provides a ROS interface for the TelloPy library.
 Development of this ROS package pursues not to modify the TelloPy library, instead apply any modification or addition to the ros_driver package in an encapsulated manner.
